.ai_icon{
    display: inline-block; 
    background: url(../../images/aigc/ai_icon.svg) repeat 0 0;
 }
.aigc-view{
    display: none;
    position: absolute;
    z-index: 99;
    top: 82px;
    left: 32px;
    width: auto;
    background: #FFFFFF;
    border-radius: 10px 10px 10px 10px;
    border: 1px solid #EEEEEE;
    box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.06);
}
.aigc-view.pattern.is_f5{
    top: 16px;
}
.aigc-view.pattern{
    top: 76px;
    left: 276px;
}
.aigc-view.pattern.no-list{
   left: 32px;
}

.aigc-view ul{
    padding: 6px 0 6px;
    box-sizing: border-box;
    position: relative;
}
.aigc-view ul li{
    height: 44px;
    font-weight: 400;
    font-size: 14px;
    color: #1D1D1D;
    padding: 0 12px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.aigc-view ul li::after{
    position: absolute;
    content: '';
    top: -6px;
    right: -12px;
    width: 12px;
    height: 60px;  
}
.aigc-view ul li .title{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    background: #F2F2F2;
    border-radius: 4px;
    margin-right: 5px;
}
.aigc-view ul li:hover{ 
    background: #F6F6F6;
}
.aigc-view ul li:hover .title{ background: #fff; }
.aigc-view ul li.ai_chat .ai_icon{
    background: url(../../images/aigc/ai_icon1.svg) no-repeat -15px -10px;
    width: 20px;
    height: 20px;
}
.aigc-view ul li.ai_6 .ai_icon{
    background-position: -28px -16px;
    width: 20px;
    height: 20px;
}
.aigc-view ul li.ai_36 .ai_icon{
    background-position: -61px -17px;
    width: 18px;
    height: 18px;
}
.aigc-view ul li.ai_12 .ai_icon{
    background-position: -92px -16px;
    width: 20px;
    height: 20px;
}
.aigc-view ul li.ai_4.small{
    display: none;
}
.aigc-view ul li.ai_29 .ai_icon{
    background-position: -125px -17px;
    width: 18px;
    height: 18px;
}
.aigc-view ul li.ai_5.small{
    display: none;
}
.aigc-view ul li.ai_8 .ai_icon{
    background-position: -157px -17px;
    width: 18px;
    height: 18px;
}



.aigc-view.pattern ul li.ai_15 .ai_icon{
    background-position: -28px -50px;
    width: 20px;
    height: 20px;
}
.aigc-view.pattern ul li.ai_42 .ai_icon{
    background-position:-60px -50px;
	width: 20px;
	height: 20px;
}
.aigc-view.pattern ul li.ai_30 .ai_icon{
    background-position: -93px -51px;
	width: 17px;
	height: 17px;
}
.aigc-view.pattern ul li.ai_8 .ai_icon{
    background-position: -125px -51px;
	width: 18px;
	height: 18px;
}
.aigc-view.pattern ul li.ai_18 .ai_icon{
    background-position: -156px -50px;
	width: 20px;
	height: 20px;
}

.aigc-view ul li.ai_chat .ai_icon{
    background: url(../../images/aigc/ai_icon1.svg) no-repeat -15px -10px;
    width: 20px;
    height: 20px;
}
.aigc-view.report ul li.ai_6 .ai_icon{
    background-position:  -29px -86px;
	width: 17px;
	height: 16px; 
}
.aigc-view.report ul li.ai_29 .ai_icon{
    background-position: -60px -84px;
	width: 20px;
	height: 20px;
}
.aigc-view.report ul li.ai_34 .ai_icon{
    background-position: -93px -85px;
	width: 18px;
	height: 18px;
}
.aigc-view.report ul li.ai_41 .ai_icon{
    background-position: -125px -88px;
	width: 18px;
	height: 15px;
}
.aigc-view.report ul li.ai_19 .ai_icon{
    background-position: -156px -84px;
	width: 20px;
	height: 20px;
}



.aigc-view .ai_more{
    cursor: pointer;
    border-top: 1px solid #EEEEEE;
    text-align: center;
    padding-bottom: 6px;
    padding-top: 6px;
    box-sizing: border-box;
}
.aigc-view .ai_more:hover .btn-view{
    background: #f6f6f6;
}
.aigc-view .ai_more span{
    margin-top: 12px;
    font-weight: 400;
    font-size: 12px;
    color: #1D1D1D;
    line-height: 30px;
}
.aigc-view .ai_more .more_2{
    display: none;
}
.aigc-view .ai_more .ai_icon{
    background-position: -212px -22px;
    width: 6px;
    height: 9px;
    margin-left: 2px;
}

.aigc-view .ai_more .more_list{
    position:absolute;
    z-index: 1;
    width:118px;
    background: #FFFFFF;
    border-radius: 10px;
    border: 1px solid #EEEEEE;
    padding:8px 0 0;
    bottom:0;
    right:-125px;
    scale: 0.9;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out, scale 0.3s ease-in-out;
}
.aigc-view .ai_more .more_list.newStyle{
    top:0;
    bottom: auto;
}
.aigc-view .ai_more .more_list::before{
    content: '';
    width:10px;
    height:100%;
    position:absolute;
    left:-8px;
    top:0;
}
.aigc-view .ai_more .more_list.show{
    scale: 1;
    opacity: 1;
    visibility: visible;
}
.aigc-view .ai_more .more_list>a{
    height:30px;
    padding-left: 24px;
    line-height: 30px;
    display: block;
    text-align: left;
    font-size: 14px;
    color: #1D1D1D;
    margin-bottom: 8px;;
}
.aigc-view .ai_more .more_list>a:hover{
    background: #f6f6f6;
}

.aigc-view .first-view{
    position: absolute;
    z-index: 11;
    top: 60px;
    opacity: 0;
    left: -1000px;
    width: 310px;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    border-radius: 8px;
    visibility: hidden;
    transition: opacity 0.5s ease-in-out,top 0.5s ease-in-out;
}

.aigc-view.design .first-view.show{
    left: 128px;
    visibility: visible;    
}
.aigc-view .first-view.show{
    left: 140px;
    top: 0;
    opacity: 1;
    visibility: visible;
}
.aigc-view .first-view .top{
    width: 100%;
    height: 166px;
    background: url(../../images/aigc/ai_top.png) no-repeat;
    background-size: 100% 100%;
}
.aigc-view .first-view .top .t-view{
    position: relative;
    margin-top: 20px;
    margin-left: 26px;
    height: 126px;
    overflow: hidden;
}
.aigc-view .first-view .top .t-view .pic-view{
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
    background: url(../../images/aigc/ai_style_pic.png) repeat;
    background-size: contain;
    width: 913px;
    height: 126px;
}
.aigc-view .first-view .top .t-view .pic-view.pattern{
    background: url(../../images/aigc/ai_pattern_pic.png) repeat;
    background-size: contain;
}
.aigc-view .first-view .top .t-view .pic-view.design{
    background: url(../../images/aigc/ai_design_pic.png) repeat;
    background-size: contain;
}
.aigc-view .first-view .bottom{
    width: 299px;
    background: #FFFFFF;
    padding: 14px 20px 16px;
    box-sizing: border-box;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.06);
}
.aigc-view .first-view .bottom .title{
    font-weight: bold;
    font-size: 16px;
    color: #1D1D1D;
    line-height: 24px;
    margin-bottom: 2px;
}
.aigc-view .first-view .bottom .desc{
    font-weight: 400;
    font-size: 12px;
    color: #999999;
    line-height: 20px;
    margin-bottom: 16px;
}
.aigc-view .first-view .bottom .sure-btn{
    width: 96px;
    height: 32px;
    background: #F1F1FF;
    border-radius: 4px 4px 4px 4px;
    font-weight: 400;
    font-size: 12px;
    color: #1D1D1D;
    text-align: center;
    line-height: 32px;
    margin-left: 160px;
    cursor: pointer;
}
.aigc-view .first-view .bottom .sure-btn:hover{
    background: #e3e3f5;
}
.aigc-view .hover-view{
    cursor: default;
    opacity: 0;
    position: absolute;
    z-index: 11;
    top: 0px;
    right: -267px;
    width: 260px;
    background: #fff;
    box-shadow: 0px 8px 20px 0px rgba(0, 0, 0, 0.06);
    border-radius: 10px;
    padding-bottom: 18px;
    scale: 0.9;
    box-sizing: border-box;
    transition: opacity 0.3s ease-in-out, scale 0.3s ease-in-out;
    visibility: hidden;
}
.aigc-view .hover-view::after{
    content: '';
    position: absolute;
    left: -12px;
    top: 0px;
    width: 12px;
    height: 100%;
}
.aigc-view .hover-view.show{
    opacity: 1;
    scale: 1;
    visibility: visible;
}

.aigc-view.design .hover-view.show{
    opacity: 1;
    scale: 1;
}
.aigc-view .hover-view .video-view{
    width: 100%;
    height: 163px;
    margin-bottom: 16px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    overflow: hidden;
}
.aigc-view .hover-view .video-view video{
    width: 100%;
   
}
.aigc-view .hover-view .h-title{
    margin-left: 16px;
    font-weight: bold;
    font-size: 16px;
    color: #1D1D1D;
    margin-bottom: 8px;
}
.aigc-view .hover-view .desc{
    margin: 0 16px;
    font-weight: 400;
    font-size: 12px;
    color: #999999;
    margin-bottom: 19px;
}
.aigc-view .hover-view .btn-view{
    position: relative;
    margin: 0 18px 7px;
    padding: 2px;
    box-sizing: border-box;
    height: 34px;
    font-weight: 500;
    font-size: 14px;
    color: #5824B8;
    line-height: 32px;
    text-align: center;
    border-radius: 17px;
    background: linear-gradient(264deg, rgba(233, 137, 255, 1), rgba(114, 106, 255, 1));
}
.aigc-view .hover-view .btn-view .content{
    border-radius: 16px;
    background: #fff;
    height: 100%;
    width: 100%;
    overflow: hidden;
    padding-top: unset;
    min-height: unset;
}
.aigc-view .hover-view .btn-view .content a{
    width: 100%;
    height: 100%;
    display: inline-block;
}
.aigc-view .hover-view .btn-view:hover .content a{
    background: linear-gradient( 271deg, rgba(255,211,245,0.36) 0%, rgba(183,144,241,0.08) 80%);
}
.aigc-view .hover-view .btn-view .pic{
    position: absolute;
    padding: 2px;
    box-sizing: border-box;
    left: 0;
    top: -7px;
    width: 48px;
    height: 48px;
    background: #FFFFFF;
    border-radius: 24px;
    background: linear-gradient(313deg, rgba(251, 240, 255, 0.51), rgba(210, 94, 239, 0.41), rgba(45, 88, 206, 0.9));
}
.aigc-view .hover-view .btn-view .pic img{
    background: #fff;
    border-radius: 50%;
    width: 100%;
    height: 100%;
}
.aigc-view .hover-view .look{
    font-weight: 400;
    font-size: 12px;
    color: #999999;
    text-align: center;
}
.aigc-view .hover-view .look .ai_icon{
    margin-left: 2px;
    background-position: -232px -22px;
    width: 6px;
    height: 9px;
} 

.video-mask{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    z-index: 99;
    background: rgba(0, 0, 0, 0.6);
}

.video-mask .video-view{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.video-mask .video-view .v-view{
    width: 800px;
    height: 450px;
    position: relative;
}
.video-mask .video-view .v-view video{
    width: 100%;
    height: 100%;
}
.video-mask .video-view .v-view .ai_icon{
    background-position:  -197px -47px;
	width: 42px;
	height: 41px;
    position: absolute;
    top: -35px;
    right: -7px;
    cursor: pointer;
}
.video-mask .video-view .v-view .ai_icon:hover{
    background-position: -249px -48px;
}


.aigc-view.model{
    left: 360px;
}
.aigc-view.model .first-view.show{
    left: 60px;
}
.aigc-view.model ul li .des{
    display: none;
}
.aigc-view.model ul li .title{
    margin-right: 0;
}
.aigc-view.model .ai_more .more_1{
    display: none;
}
.aigc-view.model .ai_more .more_2{
    display: inline-block;
    margin-top: 0;
}
.aigc-view.model .hover-view.show{
    opacity: 1;
    scale: 1;
    left: 68px;
}

@media screen and (max-width:1280px) {
    .aigc-view ul li .des{
        display: none;
    }
    .aigc-view ul li .title{
        margin-right: 0;
    }
    .aigc-view .first-view{
        left: 62px;
    }
    .aigc-view .first-view.show{
        left: 62px;
    }
    .aigc-view .ai_more .more_1{
        display: none;
    }
    .aigc-view .ai_more .more_2{
        display: inline-block;
        margin-top: 0;
    }
   
}

